petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSComputeIHessianProductFunctionPP

Runs the user-defined vector-Hessian-vector product function for Fpp.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIHessianProductFunctionPP(TS ts,PetscReal t,Vec U,Vec *Vl,Vec Vr,Vec *VHV)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSComputeIHessianProductFunctionPP() is typically used for sensitivity implementation, so most users would not generally call this routine themselves.

### See Also

TSSetIHessianProduct()

### Level

developer

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages